OS X 10.5.8 And FCP 3? at DVinfo.net

Go Back   DV Info Net > Apple / Mac Post Production Solutions > Final Cut Suite

Final Cut Suite
Discussing the editing of all formats with FCS, FCP, FCE


Reply
 
Thread Tools Search this Thread
Old March 11th, 2010, 10:21 PM   #1
Regular Crew
 
Join Date: Dec 2009
Location: Kansas
Posts: 54
OS X 10.5.8 And FCP 3?

I just broke down and got a G5 running 10.5.8 and when i insert the final cut pro 3 disk it says insert original disk?
Matt Fowler is offline   Reply With Quote
Old March 12th, 2010, 11:18 AM   #2
Go Go Godzilla
 
Join Date: Nov 2004
Location: Scottsdale, AZ USA
Posts: 2,739
Images: 15
The question is whether or not you have a PowerPC G5 or an Intel version? FCP7 will only run on an Intel box.

If that's not the case, do you have the original FCS retail disks or did you get copies made by someone else?
__________________
Producer/CEO
Reel Lane Films LLC
Robert Lane is offline   Reply With Quote
Old March 12th, 2010, 01:08 PM   #3
Trustee
 
Join Date: Jan 2005
Location: Healdsburg, California
Posts: 1,138
Quote:
Originally Posted by Robert Lane View Post
The question is whether or not you have a PowerPC G5 or an Intel version? FCP7 will only run on an Intel box.
If memory serves, the G5 designation refers only to the pre-Intel models. Intel onwards dropped the "G" designation and the units became "Mac Pro".

Presuming the application is really FCP 3, and not FCS 3 (the current version of the entire suite), it is a much older version of Final Cut Pro (OS 9/ OS X 10.1 era - G3/G4), and it sounds like an attempt to run from an incomplete installation. Otherwise, I suspect Final Cut Pro v3 should have no problem running on the G5, providing you have properly installed the complete application from original and legit installation discs. It may also require that you have Classic loaded onto the system, but I'm not sure of that. (FCP 3 was a version that could run in either OS 9 or OS 10.1, but I don't know if it involved separate installations for both. ) I believe Classic was loaded by default up through the G4 lines, but required user installation with G5 lines, so you may need to install Classic from the original system disc, but again, I'm not sure if FCP 3 requires it to run.

-Jon
__________________
"Are we to go on record, sir, with our assertion that the 'pink hearts, yellow moons, orange stars, and green clovers' are, in point of fact', magically delicious?"
- Walter Hollarhan before the House Subcommittee on Integrity in Advertising - May, 1974
Jonathan Jones is offline   Reply With Quote
Old March 12th, 2010, 11:31 PM   #4
Regular Crew
 
Join Date: Dec 2009
Location: Kansas
Posts: 54
Problem solved

Got it figured out had to install an old version of QT that came with FCP to get it to install.
Matt Fowler is offline   Reply
Reply

DV Info Net refers all where-to-buy and where-to-rent questions exclusively to these trusted full line dealers and rental houses...

Professional Video
(800) 833-4801
Portland, OR

B&H Photo Video
(866) 521-7381
New York, NY

Z.G.C.
(973) 335-4460
Mountain Lakes, NJ

Abel Cine Tech
(888) 700-4416
N.Y. NY & L.A. CA

Precision Camera
(800) 677-1023
Austin, TX

DV Info Net also encourages you to support local businesses and buy from an authorized dealer in your neighborhood.
  You are here: DV Info Net > Apple / Mac Post Production Solutions > Final Cut Suite

Thread Tools Search this Thread
Search this Thread:

Advanced Search

 



Google
 

All times are GMT -6. The time now is 02:31 PM.


DV Info Net -- Real Names, Real People, Real Info!
1998-2017 The Digital Video Information Network